<?php
class Channel {

	/**
	* @access private
	* @var string
	*/
	private $lID;

	/**
	* @access private
	* @var string
	*/
	private $lName;

	private $lMarker;

	/**
	* Constructor. This creates a Channel object.
	* @param int $pID
	* @param string $pName
	* @return Channel
	*/
	function __construct($pID,$pName) {
		$this->lID = trim($pID);
		$this->lName = trim($pName);
		$this->lMarker = (preg_match('/1:64:(.*):0:0:0:0:0:0:0::/i',$this->lID) == 1);
	}

	/**
	* Get the channel ID.
	* @return string
	*/
	public function getID() {
		return $this->lID;
	}

	/**
	* Get the channel name.
	* @return string
	*/
	public function getName($pSafe = false) {
		return $this->lName;
	}
	
	public function isMarker() {
		return $this->lMarker;
	}
}
?>